EZ_CreateLabelPixmapFromImageFile(3)

NAME
EZ_CreateLabelPixmapFromImageFile, EZ_CreateLabelPixmapFromXBitmapData, EZ_CreateLabelPixmapFromXBitmapFile, EZ_CreateLabelPixmapFromXpmData, EZ_CreateLabelPixmapFromXpmFile, EZ_FreeLabelPixmap - create/free an internal label pixmap from file or data

SYNOPSIS
#include <EZ.h>

EZ_Pixmap *EZ_CreateLabelPixmapFromImageFile(char *file)
EZ_Pixmap *EZ_CreateLabelPixmapFromXBitmapData(char *file, unsigned int w, unsigned int h)
EZ_Pixmap *EZ_CreateLabelPixmapFromXBitmapFile(char *file)
EZ_Pixmap *EZ_CreateLabelPixmapFromXpmData(char **data)
EZ_Pixmap *EZ_CreateLabelPixmapFromXpmFile (char *file)
void       EZ_FreeLabelPixmap(EZ_Pixmap *file)

ARGUMENTS
file Specifies a unix file name.

data Specifies an XPM data or an X bitmap data.

w, h Specify the width and height of a X bitmap.

DESCRIPTION

This set of functions creates an internal representation of a pixmap to be used for lables, from various sources. They return the pointer to the created pixmap if sucessful and return NULL otherwise.
 All these function search for files in the following directories: the current directory, $EZ_LIBDIR, /usr/include/X11/bitmaps and /usr/include/X11/pixmaps.

EZ_CreateLabelPixmapFromImageFile creates a pixmap from an image file. Currently EZWGL reads images in PPM, GIF, XPM and JPEG formats.

EZ_CreateLabelPixmapFromXBitmapFile creates a pixmap from an x-bitmap file. The created pixmap is a bitmap.

EZ_CreateLabelPixmapFromXBitmapData creates a pixmap from an x-bitmap data. The created pixmap is a bitmap.

EZ_CreateLabelPixmapFromXpmData creates a pixmap from an XPM data set.

EZ_CreateLabelPixmapFromXpmFile creates a pixmap from an XPM file.

SEE ALSO
EZ_ConfigureWidget(3), EZ_CreateXPixmapFromBitmapFile(3), EZ_CreateXPixmapFromXpmData(3)